### Class

# Gtk NothingAction

since: 4.0

#### Description [src]

    final class Gtk.NothingAction : Gtk.ShortcutAction
    {
      /* No available fields */
    }

A `GtkShortcutAction` that does nothing.

Available since: 4.0

#### Ancestors

- GtkShortcutAction
- GObject

#### Functions

###### gtk_nothing_action_get

Gets the nothing action.

since: 4.0

#### Instance methods

##### Methods inherited from GtkShortcutAction (3)

###### gtk_shortcut_action_activate

Activates the action on the `widget` with the given `args`.

since: 4.0

###### gtk_shortcut_action_print

Prints the given action into a string for the developer.

since: 4.0

###### gtk_shortcut_action_to_string

Prints the given action into a human-readable string.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GtkNothingActionClass {
      /* no available fields */
    }

No description available.